<?php
define('MTOP', 1);
require_once('system/connect.php');
require_once('system/core.php');
require_once('system/function.php');


if(!$id OR $id < 1){
echo 'Сайт на модерации либо его не существует в базе рейтинга.';
exit;
}
$isset = mysql_query("SELECT * FROM `sait` WHERE `status` != '0' AND `id` = '".$id."'");
if(mysql_num_rows($isset) == 0){
echo 'Сайт на модерации либо его не существует в базе рейтинга.';
exit;
}

$sait = mysql_fetch_array($isset);
$nakrut = mysql_query("SELECT * FROM `out` WHERE `id_sait` = '1' AND `ip` = '".$ip."'");
if (mysql_num_rows($nakrut) == 0){
mysql_query("INSERT INTO `out` (`id_sait`,`ip`) values('".$id."','".$ip."')");
mysql_query("UPDATE `sait` SET `out` = (`out` + 1), `all_out` = (`all_out` + 1) WHERE `id` = '".$id."'");
}

header('Location: http://'.$sait['url'].'?ioav');
?>